//---------------------------------------------------------------------------
// File: TIntroForm.cpp, TDx_Play_Library - Test Game
//
// Date: 13th July, 2002
// Author: Darren John Dwyer
// Copyright: (c) 2002 Darren John Dwyer, All Rights Reserved.
//
// Description:
// This is a TDx_Play_Library application used to the test and simulate a very
// simple game.
//
//---------------------------------------------------------------------------
#define INITGUID
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
//---------------------------------------------------------------------------
#pragma hdrstop
//---------------------------------------------------------------------------
#include "TIntroForm.h"
#include "TMainForm.h"
#include "TStatusForm.h"
//---------------------------------------------------------------------------
#if (__BORLANDC__ >= 0x0530) // BCB Version 3+
    #pragma package(smart_init)
#endif
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
TIntroForm *IntroForm;
//---------------------------------------------------------------------------
__fastcall TIntroForm::TIntroForm(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TIntroForm::FormCreate(TObject *Sender)
{
Width = Screen->Width;
Height = Screen->Height;
Position = poScreenCenter;
Color = clBlack;

Label1->Visible = false;
Label2->Visible = false;

Label2->Top = Label1->Top + 4;
Label2->Left = Label1->Left + 2;
}
//---------------------------------------------------------------------------
void __fastcall TIntroForm::FormShow(TObject *Sender)
{
Timer1->Enabled=true;
}
//---------------------------------------------------------------------------
void __fastcall TIntroForm::Timer1Timer(TObject *Sender)
{
static int count = 1;

if (count==1)
    {
    Label1->Top = 0;
    Label2->Top = Label1->Top + 4;

    Label1->Visible = true;
    Label2->Visible = true;

    int end_pos = Screen->Height / 3;
    while (Label1->Top < end_pos)
        {
        Label1->Font->Size++;
        Label2->Font->Size++;
        Label1->Top += 8;
        Label2->Top += 8;
        Label1->Left = (Screen->Width/2) - (Label1->Width/2);
        Label2->Left = Label1->Left + 2;

        Label1->Update();
        Label2->Update();
        }
    }
else if (count==4)
    {
    Timer1->Enabled = false;
    Visible = false;
    StatusForm->Show();
    MainForm->ShowModal();
    Close();
    }
count++;
}
//---------------------------------------------------------------------------